[![Open Source Helpers](https://www.codetriage.com/rickecr/pygraph/badges/users.svg)](https://www.codetriage.com/rickecr/pygraph)
[![Build Status](https://travis-ci.org/Rickecr/PyGraph.svg?branch=master)](https://travis-ci.org/Rickecr/PyGraph)
![GitHub issues](https://img.shields.io/github/issues/Rickecr/PyGraph)
![GitHub pull requests](https://img.shields.io/github/issues-pr/Rickecr/PyGraph)


# [PyGraph](https://rickecr.github.io/PyGraph/)
> Biblioteca com intuito de implementar os conceitos de Teoria dos Grafos.

## Objetivo:
> O principal objetivo é implementar a maioria dos algoritmos de Teoria dos Grafos.

    - Praticar os conhecimentos obtidos em Teoria dos Grafos.
    - Facilitar o uso dos algoritmos de grafos.

## Estrutura:
> O modelo UML dos tipos dos grafos que serão implementados:

- Fique a vontade para editar o modelo UML ou dar sugestões por meio de issues.

- [Modelo para a comunidade editar](https://www.lucidchart.com/invitations/accept/ac0a364a-2154-4e72-a333-4c9f2cc71629)

![Imgur](https://i.imgur.com/LB8yW6f.png)

## Como contribuir ? :smiley:

- PRs são aceitas!
- Se você pensou em uma feature legal ou descobriu algum bug e não tem tempo para codificar, abra uma issue.
- Nós seguimos as diretrizes do [PEP 8](https://www.python.org/dev/peps/pep-0008/). Portanto, antes de fazer uma PR verifique se seu código obedece os padrões do PEP 8(pycodestyle).
- Execute os testes antes de enviar sua PR(pytest).
- Sempre documente seu código.
- Para mais detalhes sobre como contribuir, acesse o [CONTRIBUTING.md](CONTRIBUTING.md).

Fique tranquilo para enviar sugestões, fazer alterações e/ou procurar erros para nos informar criando uma issue e até mesmo corrigindo e mandando um PR. :relaxed:

## Quer contribuir, mas não com código ?

Não tem problema, temos lugar para todo mundo. Você não precisa codificar pra ajudar, pode contribuir com ideias, encontrando problemas, contribuindo com a documentação e/ou dando sugestões e etc.

Mas se você quiser codificar e dar seus primeiros passos por aqui seja muito bem vindo(a), todos estamos aqui pra aprender.

## Hall of Fame
> Pessoas que mais contribuem com o projeto.

[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/0)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/0)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/1)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/1)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/2)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/2)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/3)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/3)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/4)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/4)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/5)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/5)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/6)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/6)[![](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/images/7)](https://sourcerer.io/fame/Rickecr/Rickecr/PyGraph/links/7)
